Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jboss.subsystem
Class ModeShapeServiceNames

    java.lang.Object
      org.modeshape.jboss.subsystem.ModeShapeServiceNames

    public class ModeShapeServiceNames

extends Object

Field Summary
`static org.jboss.msc.service.ServiceName` | `ENGINE`

Constructor Summary
`ModeShapeServiceNames()`

Method Summary
`static org.jboss.msc.service.ServiceName` | `binaryStorageDirectoryServiceName(String name)`
`static org.jboss.msc.service.ServiceName` | `binaryStorageServiceName(String name)`
`static org.jboss.msc.service.ServiceName` | `dataDirectoryServiceName(String name)`
`static org.jboss.msc.service.ServiceName` | `indexSourceStorageDirectoryServiceName(String name)`
`static org.jboss.msc.service.ServiceName` | `indexStorageDirectoryServiceName(String name)`
`static org.jboss.msc.service.ServiceName` | `indexStorageServiceName(String name)` Obtain the name of the service for the `IndexStorage` for the given repository name
`static org.jboss.msc.service.ServiceName` | `repositoryServiceName(String name)`
`static org.jboss.msc.service.ServiceName` | `sequencerServiceName(String repositoryName, String sequencerName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENGINE

    public static org.jboss.msc.service.ServiceName ENGINE

Constructor Detail

### ModeShapeServiceNames

    public ModeShapeServiceNames()

Method Detail

### repositoryServiceName

    public static org.jboss.msc.service.ServiceName repositoryServiceName(String name)

### sequencerServiceName

    public static org.jboss.msc.service.ServiceName sequencerServiceName(String repositoryName,
                                                                         String sequencerName)

### dataDirectoryServiceName

    public static org.jboss.msc.service.ServiceName dataDirectoryServiceName(String name)

### indexStorageServiceName

    public static org.jboss.msc.service.ServiceName indexStorageServiceName(String name)

  Obtain the name of the service for the `IndexStorage` for the given repository name

  Parameters:
    `name` - the repository name
  Returns:
    the service name

### indexStorageDirectoryServiceName

    public static org.jboss.msc.service.ServiceName indexStorageDirectoryServiceName(String name)

### indexSourceStorageDirectoryServiceName

    public static org.jboss.msc.service.ServiceName indexSourceStorageDirectoryServiceName(String name)

### binaryStorageServiceName

    public static org.jboss.msc.service.ServiceName binaryStorageServiceName(String name)

### binaryStorageDirectoryServiceName

    public static org.jboss.msc.service.ServiceName binaryStorageDirectoryServiceName(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.